Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.variable.descriptor
Class InverseRelationShadowVariableDescriptor

    java.lang.Object
      org.optaplanner.core.impl.domain.variable.descriptor.VariableDescriptor
          org.optaplanner.core.impl.domain.variable.descriptor.ShadowVariableDescriptor
              org.optaplanner.core.impl.domain.variable.descriptor.InverseRelationShadowVariableDescriptor

    public class InverseRelationShadowVariableDescriptor

extends ShadowVariableDescriptor

Field Summary
`protected GenuineVariableDescriptor` | `sourceVariableDescriptor`

Fields inherited from class org.optaplanner.core.impl.domain.variable.descriptor.VariableDescriptor
`entityDescriptor, variablePropertyAccessor`

Constructor Summary
`InverseRelationShadowVariableDescriptor(EntityDescriptor entityDescriptor, PropertyDescriptor propertyDescriptor)`

Method Summary
`VariableListener` | `buildVariableListener()`
`void` | `linkShadowSources(DescriptorPolicy descriptorPolicy)`
`void` | `processAnnotations(DescriptorPolicy descriptorPolicy)`

Methods inherited from class org.optaplanner.core.impl.domain.variable.descriptor.VariableDescriptor
`getEntityDescriptor, getValue, getVariableName, getVariablePropertyType, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sourceVariableDescriptor

    protected GenuineVariableDescriptor sourceVariableDescriptor

Constructor Detail

### InverseRelationShadowVariableDescriptor

    public InverseRelationShadowVariableDescriptor(EntityDescriptor entityDescriptor,
                                                   PropertyDescriptor propertyDescriptor)

Method Detail

### processAnnotations

    public void processAnnotations(DescriptorPolicy descriptorPolicy)

  Specified by:
    `processAnnotations` in class `ShadowVariableDescriptor`

### linkShadowSources

    public void linkShadowSources(DescriptorPolicy descriptorPolicy)

  Specified by:
    `linkShadowSources` in class `ShadowVariableDescriptor`

### buildVariableListener

    public VariableListener buildVariableListener()

  Specified by:
    `buildVariableListener` in class `ShadowVariableDescriptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.